#include <bits/stdc++.h>
using namespace std;

int main ()
{
    int n;
    cin >> n;
    vector<int> v(n);
    int Max=0;
    for(int i=0; i<n; i++)
    {
        cin >> v[i];
        Max=max(Max, v[i]);
    }
    for(int i=0; i<n; i++)
    {
        for(int j=1; j*j<=v[i]; j++)
        {
            if(v[i]-j*j == sqrt(v[i]-j*j) * sqrt(v[i]-j*j) && sqrt(v[i]-j*j)!=0)
            {
                cout << 1;
                break;
            }
            if(j==floor(sqrt(v[i])))
            {
                cout << 0;
            }
        }
    }
    return 0;
}
